EastWest Fab Four Virtual Instrument Software (Download)

Sale!
Product Description

Fab Four is a virtual instrument inspired by the sounds of the Beatles, using the same kind of period instruments and authentic rare EMI recording equipment the Beatles used to create their music.

Additional information

MPN

Important Notice

This item is non-cancelable & nonreturnable.

More from this brand

Electronic Download

$119.60

In stock

Add to Wishlist

Description

Fab Four is a virtual instrument inspired by the sounds of the Beatles, using the same kind of period instruments and authentic rare EMI recording equipment the Beatles used to create their music. Sound engineer Ken Scott worked on five legendary Beatles albums, and used that extensive knowledge in the creation of Fab Four. No expense was spared finding the same kind of period instruments and rare authentic EMI and other recording equipment the Beatles used to create their sounds to produce this collection.

Well over a million dollars worth of instruments, amplifiers, microphones, recording desks (including very rare EMI REDD tube and TG12345 desks), outboard equipment (including Fairchild limiters and EMI RS124 modified Altec compressors), and Studer J-37 tube multi-tracks were used in this production. If you are a film/tv/game composer, or a musician/producer looking for sounds not found in other collections, this is it. Blending these unique and sometimes bizarre sounds with today’s music should enable you to produce something truly fab!

Fab Four Features

General

  • Software type: Virtual instrument
  • Plug-in format(s): VST, RTAS, AU, AAX
  • Computer platform: Mac & Windows
  • Delivery: Software download
  • Version: Full version

Sound Library

  • Total library size: 13 GB
  • Sound generation: Sample based
  • Integrated effects: yes
  • Standalone: Yes
  • Expandable: No

Minimum System Requirements

  • Free hard drive space: 13 GB
  • RAM: 8 GB
  • Authorization: iLok Account
  • Mac requirements: OS X 10.7
  • Windows requirements: Windows 7 or newer
  • 64-bit compatibile: Yes